org.keycloak.models.cache.infinispan

## Class RoleAdapter

- java.lang.Object
- - org.keycloak.models.cache.infinispan.RoleAdapter

- All Implemented Interfaces:
    RoleModel

      public class RoleAdapter
      extends Object
      implements RoleModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleModel

      `RoleModel.SearchableFields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedRole` | `cached`
    `protected RealmCacheSession` | `cacheSession`
    `protected Set<RoleModel>` | `composites`
    `protected boolean` | `invalidated`
    `protected RealmModel` | `realm`
    `protected RoleModel` | `updated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleAdapter(CachedRole cached, RealmCacheSession session, RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCompositeRole(RoleModel role)`
    `boolean` | `equals(Object o)`
    `Map<String,List<String>>` | `getAttributes()`
    `Stream<String>` | `getAttributeStream(String name)` Returns all role's attributes that match the given name as a stream.
    `Stream<RoleModel>` | `getCompositesStream()` Returns all composite roles as a stream.
    `RoleContainerModel` | `getContainer()`
    `String` | `getContainerId()`
    `protected void` | `getDelegateForUpdate()`
    `String` | `getDescription()`
    `String` | `getFirstAttribute(String name)`
    `String` | `getId()`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `hasRole(RoleModel role)`
    `void` | `invalidate()`
    `boolean` | `isClientRole()`
    `boolean` | `isComposite()`
    `protected boolean` | `isUpdated()`
    `void` | `removeAttribute(String name)`
    `void` | `removeCompositeRole(RoleModel role)`
    `void` | `setAttribute(String name, List<String> values)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setSingleAttribute(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.RoleModel

      `getAttribute, getComposites`

- - ### Field Detail

    - #### updated

          protected RoleModel updated

    - #### cached

          protected CachedRole cached

    - #### cacheSession

          protected RealmCacheSession cacheSession

    - #### realm

          protected RealmModel realm

    - #### composites

          protected Set<RoleModel> composites

    - #### invalidated

          protected boolean invalidated

  - ### Constructor Detail

    - #### RoleAdapter

          public RoleAdapter(CachedRole cached,
                             RealmCacheSession session,
                             RealmModel realm)

  - ### Method Detail

    - #### getDelegateForUpdate

          protected void getDelegateForUpdate()

    - #### invalidate

          public void invalidate()

    - #### isUpdated

          protected boolean isUpdated()

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `RoleModel`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `RoleModel`

    - #### setDescription

          public void setDescription(String description)

      Specified by:
        `setDescription` in interface `RoleModel`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `RoleModel`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `RoleModel`

    - #### isComposite

          public boolean isComposite()

      Specified by:
        `isComposite` in interface `RoleModel`

    - #### addCompositeRole

          public void addCompositeRole(RoleModel role)

      Specified by:
        `addCompositeRole` in interface `RoleModel`

    - #### removeCompositeRole

          public void removeCompositeRole(RoleModel role)

      Specified by:
        `removeCompositeRole` in interface `RoleModel`

    - #### getCompositesStream

          public Stream<RoleModel> getCompositesStream()

      Description copied from interface: `RoleModel`
      Returns all composite roles as a stream.
      Specified by:
        `getCompositesStream` in interface `RoleModel`
      Returns:
        Stream of `RoleModel`. Never returns `null`.

    - #### isClientRole

          public boolean isClientRole()

      Specified by:
        `isClientRole` in interface `RoleModel`

    - #### getContainerId

          public String getContainerId()

      Specified by:
        `getContainerId` in interface `RoleModel`

    - #### getContainer

          public RoleContainerModel getContainer()

      Specified by:
        `getContainer` in interface `RoleModel`

    - #### hasRole

          public boolean hasRole(RoleModel role)

      Specified by:
        `hasRole` in interface `RoleModel`

    - #### setSingleAttribute

          public void setSingleAttribute(String name,
                                         String value)

      Specified by:
        `setSingleAttribute` in interface `RoleModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> values)

      Specified by:
        `setAttribute` in interface `RoleModel`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `RoleModel`

    - #### getFirstAttribute

          public String getFirstAttribute(String name)

      Specified by:
        `getFirstAttribute` in interface `RoleModel`

    - #### getAttributeStream

          public Stream<String> getAttributeStream(String name)

      Description copied from interface: `RoleModel`
      Returns all role's attributes that match the given name as a stream.
      Specified by:
        `getAttributeStream` in interface `RoleModel`
      Parameters:
        `name` - `String` Name of an attribute to be used as a filter.
      Returns:
        Stream of `String`. Never returns `null`.

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

      Specified by:
        `getAttributes` in interface `RoleModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.